dbXML API

## com.dbxml.db.core.extension
Class ExtensionManager

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.ExtensionManager

All Implemented Interfaces:
  Configurable

public final class ExtensionManager
extends SimpleConfigurable

ExtensionManager manages Extension instances.

Constructor Summary
`ExtensionManager(Collection collection)`

Method Summary
`Extension` `create(Configuration cfg)` create creates a new Extension object and any associated system resources that the Extension will need.
`boolean` `drop(java.lang.String name)` drop physically removes the specified Extension and any associated system resources that the Extension uses.
`Extension` `get(java.lang.String name)` get retrieves an Extension by name, and will also do the work of instantiation and pool-retrieval.
`java.lang.String` `getCanonicalName(java.lang.String name)`
`java.lang.String[]` `list()` list returns a list of the Extensions that this ExtensionManager has registered.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionManager

    public ExtensionManager(Collection collection)

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleConfigurable`
  Throws:
    `dbXMLException`

### list

    public java.lang.String[] list()

  list returns a list of the Extensions that this ExtensionManager has registered.

  Returns:
    An array containing the Extension names

### drop

    public boolean drop(java.lang.String name)
                 throws DBException

  drop physically removes the specified Extension and any associated system resources that the Extension uses.

  Parameters:
    `name` - The Extension to drop
  Returns:
    Whether or not the Extension was dropped
  Throws:
    `DBException`

### create

    public Extension create(Configuration cfg)
                     throws DBException

  create creates a new Extension object and any associated system resources that the Extension will need.

  Parameters:
    `cfg` - The Extension's configuration
  Returns:
    The Extension that was created
  Throws:
    `DBException`

### get

    public Extension get(java.lang.String name)
                  throws DBException

  get retrieves an Extension by name, and will also do the work of instantiation and pool-retrieval.

  Parameters:
    `name` - The Extension name
  Returns:
    The Extension
  Throws:
    `DBException`

### getCanonicalName

    public java.lang.String getCanonicalName(java.lang.String name)

dbXML API

Copyright (c) 2004 The dbXML Group